import{s as pt,n as mt,o as rt}from"../chunks/scheduler.c59d9fbb.js";import{S as ft,i as dt,g as o,s as i,r as p,A as $t,h as m,f as l,c as a,j as st,u as r,x as k,k as ot,y as ut,a as n,v as f,d,t as $,w as u}from"../chunks/index.a47918e3.js";import{C as Z}from"../chunks/CodeBlock.936db8cd.js";import{H as K}from"../chunks/Heading.604bc707.js";function ct(O){let s,j,H,I,c,P,h,tt="Before you start, you’ll need to setup your environment and install the appropriate packages. 🤗 SetFit is tested on <strong>Python 3.7+</strong>.",R,g,L,w,et="The most straightforward way to install 🤗 Datasets is with pip:",B,y,F,b,lt='If you have a CUDA-capable graphics card, then it is recommended to <a href="https://pytorch.org/get-started/locally/" rel="nofollow">install <code>torch</code> with CUDA support</a> to train and performing inference much more quickly:',z,C,N,v,A,T,nt='Building 🤗 SetFit from source lets you make changes to the code base. To install from the source, clone the repository and install 🤗 SetFit in <a href="https://setuptools.pypa.io/en/latest/userguide/development_mode.html" rel="nofollow">editable mode</a> with the following commands:',W,_,Y,M,it="If you just want the bleeding-edge version without making any changes of your own, then install from source by running:",E,x,Q,U,q,G,at="If conda is your package management system of choice, then you can install 🤗 SetFit like so:",D,J,V,S,X;return c=new K({props:{title:"Installation",local:"installation",headingTag:"h1"}}),g=new K({props:{title:"pip",local:"pip",headingTag:"h2"}}),y=new Z({props:{code:"cGlwJTIwaW5zdGFsbCUyMHNldGZpdA==",highlighted:"pip install setfit",wrap:!1}}),C=new Z({props:{code:"cGlwJTIwaW5zdGFsbCUyMHRvcmNoJTIwLS1pbmRleC11cmwlMjBodHRwcyUzQSUyRiUyRmRvd25sb2FkLnB5dG9yY2gub3JnJTJGd2hsJTJGY3UxMTg=",highlighted:"pip install torch --index-url https://download.pytorch.org/whl/cu118",wrap:!1}}),v=new K({props:{title:"Installing from source",local:"installing-from-source",headingTag:"h2"}}),_=new Z({props:{code:"Z2l0JTIwY2xvbmUlMjBodHRwcyUzQSUyRiUyRmdpdGh1Yi5jb20lMkZodWdnaW5nZmFjZSUyRnNldGZpdC5naXQlMEFjZCUyMHNldGZpdCUwQXBpcCUyMGluc3RhbGwlMjAtZSUyMC4=",highlighted:`git <span class="hljs-built_in">clone</span> https://github.com/huggingface/setfit.git
<span class="hljs-built_in">cd</span> setfit
pip install -e .`,wrap:!1}}),x=new Z({props:{code:"cGlwJTIwaW5zdGFsbCUyMGdpdCUyQmh0dHBzJTNBJTJGJTJGZ2l0aHViLmNvbSUyRmh1Z2dpbmdmYWNlJTJGc2V0Zml0LmdpdA==",highlighted:"pip install git+https://github.com/huggingface/setfit.git",wrap:!1}}),U=new K({props:{title:"Conda",local:"conda",headingTag:"h2"}}),J=new Z({props:{code:"Y29uZGElMjBpbnN0YWxsJTIwLWMlMjBjb25kYS1mb3JnZSUyMHNldGZpdA==",highlighted:"conda install -c conda-forge setfit",wrap:!1}}),{c(){s=o("meta"),j=i(),H=o("p"),I=i(),p(c.$$.fragment),P=i(),h=o("p"),h.innerHTML=tt,R=i(),p(g.$$.fragment),L=i(),w=o("p"),w.textContent=et,B=i(),p(y.$$.fragment),F=i(),b=o("p"),b.innerHTML=lt,z=i(),p(C.$$.fragment),N=i(),p(v.$$.fragment),A=i(),T=o("p"),T.innerHTML=nt,W=i(),p(_.$$.fragment),Y=i(),M=o("p"),M.textContent=it,E=i(),p(x.$$.fragment),Q=i(),p(U.$$.fragment),q=i(),G=o("p"),G.textContent=at,D=i(),p(J.$$.fragment),V=i(),S=o("p"),this.h()},l(t){const e=$t("svelte-u9bgzb",document.head);s=m(e,"META",{name:!0,content:!0}),e.forEach(l),j=a(t),H=m(t,"P",{}),st(H).forEach(l),I=a(t),r(c.$$.fragment,t),P=a(t),h=m(t,"P",{"data-svelte-h":!0}),k(h)!=="svelte-11mhmv5"&&(h.innerHTML=tt),R=a(t),r(g.$$.fragment,t),L=a(t),w=m(t,"P",{"data-svelte-h":!0}),k(w)!=="svelte-16zxowv"&&(w.textContent=et),B=a(t),r(y.$$.fragment,t),F=a(t),b=m(t,"P",{"data-svelte-h":!0}),k(b)!=="svelte-zdbrrm"&&(b.innerHTML=lt),z=a(t),r(C.$$.fragment,t),N=a(t),r(v.$$.fragment,t),A=a(t),T=m(t,"P",{"data-svelte-h":!0}),k(T)!=="svelte-jsxdni"&&(T.innerHTML=nt),W=a(t),r(_.$$.fragment,t),Y=a(t),M=m(t,"P",{"data-svelte-h":!0}),k(M)!=="svelte-4ah6tk"&&(M.textContent=it),E=a(t),r(x.$$.fragment,t),Q=a(t),r(U.$$.fragment,t),q=a(t),G=m(t,"P",{"data-svelte-h":!0}),k(G)!=="svelte-pwxq4b"&&(G.textContent=at),D=a(t),r(J.$$.fragment,t),V=a(t),S=m(t,"P",{}),st(S).forEach(l),this.h()},h(){ot(s,"name","hf:doc:metadata"),ot(s,"content",ht)},m(t,e){ut(document.head,s),n(t,j,e),n(t,H,e),n(t,I,e),f(c,t,e),n(t,P,e),n(t,h,e),n(t,R,e),f(g,t,e),n(t,L,e),n(t,w,e),n(t,B,e),f(y,t,e),n(t,F,e),n(t,b,e),n(t,z,e),f(C,t,e),n(t,N,e),f(v,t,e),n(t,A,e),n(t,T,e),n(t,W,e),f(_,t,e),n(t,Y,e),n(t,M,e),n(t,E,e),f(x,t,e),n(t,Q,e),f(U,t,e),n(t,q,e),n(t,G,e),n(t,D,e),f(J,t,e),n(t,V,e),n(t,S,e),X=!0},p:mt,i(t){X||(d(c.$$.fragment,t),d(g.$$.fragment,t),d(y.$$.fragment,t),d(C.$$.fragment,t),d(v.$$.fragment,t),d(_.$$.fragment,t),d(x.$$.fragment,t),d(U.$$.fragment,t),d(J.$$.fragment,t),X=!0)},o(t){$(c.$$.fragment,t),$(g.$$.fragment,t),$(y.$$.fragment,t),$(C.$$.fragment,t),$(v.$$.fragment,t),$(_.$$.fragment,t),$(x.$$.fragment,t),$(U.$$.fragment,t),$(J.$$.fragment,t),X=!1},d(t){t&&(l(j),l(H),l(I),l(P),l(h),l(R),l(L),l(w),l(B),l(F),l(b),l(z),l(N),l(A),l(T),l(W),l(Y),l(M),l(E),l(Q),l(q),l(G),l(D),l(V),l(S)),l(s),u(c,t),u(g,t),u(y,t),u(C,t),u(v,t),u(_,t),u(x,t),u(U,t),u(J,t)}}}const ht='{"title":"Installation","local":"installation","sections":[{"title":"pip","local":"pip","sections":[],"depth":2},{"title":"Installing from source","local":"installing-from-source","sections":[],"depth":2},{"title":"Conda","local":"conda","sections":[],"depth":2}],"depth":1}';function gt(O){return rt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class vt extends ft{constructor(s){super(),dt(this,s,gt,ct,pt,{})}}export{vt as component};
